OpenMM

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Pages
Public Member Functions | Public Attributes | List of all members
AmoebaInPlaneAngleForce Class Reference

This class implements an interaction at trigonal centers corresponding to the projected in-plane angle bend energy between four particles. More...

Inheritance diagram for AmoebaInPlaneAngleForce:

## Public Member Functions
def | getNumAngles
| getNumAngles(AmoebaInPlaneAngleForce self) -> int More...
def | setAmoebaGlobalInPlaneAngleCubic
| setAmoebaGlobalInPlaneAngleCubic(AmoebaInPlaneAngleForce self, double cubicK) More...
def | getAmoebaGlobalInPlaneAngleCubic
| getAmoebaGlobalInPlaneAngleCubic(AmoebaInPlaneAngleForce self) -> double More...
def | setAmoebaGlobalInPlaneAngleQuartic
| setAmoebaGlobalInPlaneAngleQuartic(AmoebaInPlaneAngleForce self, double quarticK) More...
def | getAmoebaGlobalInPlaneAngleQuartic
| getAmoebaGlobalInPlaneAngleQuartic(AmoebaInPlaneAngleForce self) -> double More...
def | setAmoebaGlobalInPlaneAnglePentic
| setAmoebaGlobalInPlaneAnglePentic(AmoebaInPlaneAngleForce self, double penticK) More...
def | getAmoebaGlobalInPlaneAnglePentic
| getAmoebaGlobalInPlaneAnglePentic(AmoebaInPlaneAngleForce self) -> double More...
def | setAmoebaGlobalInPlaneAngleSextic
| setAmoebaGlobalInPlaneAngleSextic(AmoebaInPlaneAngleForce self, double sexticK) More...
def | getAmoebaGlobalInPlaneAngleSextic
| getAmoebaGlobalInPlaneAngleSextic(AmoebaInPlaneAngleForce self) -> double More...
def | addAngle
| addAngle(AmoebaInPlaneAngleForce self, int particle1, int particle2, int particle3, int particle4, double length, double quadraticK) -> int More...
def | getAngleParameters
| getAngleParameters(AmoebaInPlaneAngleForce self, int index) More...
def | setAngleParameters
| setAngleParameters(AmoebaInPlaneAngleForce self, int index, int particle1, int particle2, int particle3, int particle4, double length, double quadraticK) More...
def | updateParametersInContext
| updateParametersInContext(AmoebaInPlaneAngleForce self, Context context) More...
def | usesPeriodicBoundaryConditions
| usesPeriodicBoundaryConditions(AmoebaInPlaneAngleForce self) -> bool More...
def | __init__
| init(OpenMM::AmoebaInPlaneAngleForce self) -> AmoebaInPlaneAngleForce init(OpenMM::AmoebaInPlaneAngleForce self, AmoebaInPlaneAngleForce other) -> AmoebaInPlaneAngleForce More...
def | __del__
| del(OpenMM::AmoebaInPlaneAngleForce self) More...
Public Member Functions inherited from Force
def | __init__
def | __del__
| del(OpenMM::Force self) More...
def | getForceGroup
| getForceGroup(Force self) -> int More...
def | setForceGroup
| setForceGroup(Force self, int group) More...
def | usesPeriodicBoundaryConditions
| usesPeriodicBoundaryConditions(Force self) -> bool More...
def | __copy__
def | __deepcopy__

## Public Attributes
| this

## Detailed Description

This class implements an interaction at trigonal centers corresponding to the projected in-plane angle bend energy between four particles.

The interaction is defined by a 6th order polynomial in the angle between them. Only the quadratic term is set per-angle. The coefficients of the higher order terms each have a single value that is set globally.

To use it, create an AmoebaInPlaneAngleForce object then call addAngle() once for each angle. After an angle has been added, you can modify its force field parameters by calling setAngleParameters(). This will have no effect on Contexts that already exist unless you call updateParametersInContext().

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | args
| ) |  |

init(OpenMM::AmoebaInPlaneAngleForce self) -> AmoebaInPlaneAngleForce init(OpenMM::AmoebaInPlaneAngleForce self, AmoebaInPlaneAngleForce other) -> AmoebaInPlaneAngleForce

Create an AmoebaAngleForce.

References simtk.openmm.openmm.stripUnits().

def __del__ | ( |  | self | ) |

del(OpenMM::AmoebaInPlaneAngleForce self)

References simtk.openmm.openmm.stripUnits().

## Member Function Documentation

def addAngle | ( |  | self,
|  |  | args
| ) |  |

addAngle(AmoebaInPlaneAngleForce self, int particle1, int particle2, int particle3, int particle4, double length, double quadraticK) -> int

Add an angle term to the force field.

Parameters

  particle1 | the index of the first particle connected by the angle
  particle2 | the index of the second particle connected by the angle
  particle3 | the index of the third particle connected by the angle
  particle4 | the index of the fourth particle connected by the angle
  length | the equilibrium angle, measured in radians
  quadratic | k the quadratic force constant for the angle measured in kJ/mol/radian^2

References simtk.openmm.openmm.stripUnits().

def getAmoebaGlobalInPlaneAngleCubic | ( |  | self,
|  |  | args
| ) |  |

getAmoebaGlobalInPlaneAngleCubic(AmoebaInPlaneAngleForce self) -> double

Get the global cubic term

References simtk.openmm.openmm.stripUnits().

def getAmoebaGlobalInPlaneAnglePentic | ( |  | self,
|  |  | args
| ) |  |

getAmoebaGlobalInPlaneAnglePentic(AmoebaInPlaneAngleForce self) -> double

Get the global pentic term

References simtk.openmm.openmm.stripUnits().

def getAmoebaGlobalInPlaneAngleQuartic | ( |  | self,
|  |  | args
| ) |  |

getAmoebaGlobalInPlaneAngleQuartic(AmoebaInPlaneAngleForce self) -> double

Get the global quartic term

References simtk.openmm.openmm.stripUnits().

def getAmoebaGlobalInPlaneAngleSextic | ( |  | self,
|  |  | args
| ) |  |

getAmoebaGlobalInPlaneAngleSextic(AmoebaInPlaneAngleForce self) -> double

Get the global sextic term

References simtk.openmm.openmm.stripUnits().

def getAngleParameters | ( |  | self,
|  |  | args
| ) |  |

getAngleParameters(AmoebaInPlaneAngleForce self, int index)

Get the force field parameters for an angle term.

Parameters

  index | the index of the angle for which to get parameters
  particle1 | the index of the first particle connected by the angle
  particle2 | the index of the second particle connected by the angle
  particle3 | the index of the third particle connected by the angle
  particle4 | the index of the fourth particle connected by the angle
  length | the equilibrium angle, measured in radians
  quadratic | k the quadratic force constant for the angle measured in kJ/mol/radian^2

References simtk.openmm.openmm.stripUnits().

def getNumAngles | ( |  | self,
|  |  | args
| ) |  |

getNumAngles(AmoebaInPlaneAngleForce self) -> int

Get the number of in-plane angle terms in the potential function

References simtk.openmm.openmm.stripUnits().

def setAmoebaGlobalInPlaneAngleCubic | ( |  | self,
|  |  | args
| ) |  |

setAmoebaGlobalInPlaneAngleCubic(AmoebaInPlaneAngleForce self, double cubicK)

Set the global cubic term

Parameters

  cubicK | the cubic force constant for the angle

References simtk.openmm.openmm.stripUnits().

def setAmoebaGlobalInPlaneAnglePentic | ( |  | self,
|  |  | args
| ) |  |

setAmoebaGlobalInPlaneAnglePentic(AmoebaInPlaneAngleForce self, double penticK)

Set the global pentic term

Parameters

  penticK | the pentic force constant for the angle

References simtk.openmm.openmm.stripUnits().

def setAmoebaGlobalInPlaneAngleQuartic | ( |  | self,
|  |  | args
| ) |  |

setAmoebaGlobalInPlaneAngleQuartic(AmoebaInPlaneAngleForce self, double quarticK)

Set the global quartic term

Parameters

  quarticK | the quartic force constant for the angle

References simtk.openmm.openmm.stripUnits().

def setAmoebaGlobalInPlaneAngleSextic | ( |  | self,
|  |  | args
| ) |  |

setAmoebaGlobalInPlaneAngleSextic(AmoebaInPlaneAngleForce self, double sexticK)

Set the global sextic term

Parameters

  sexticK | the sextic force constant for the angle

References simtk.openmm.openmm.stripUnits().

def setAngleParameters | ( |  | self,
|  |  | args
| ) |  |

setAngleParameters(AmoebaInPlaneAngleForce self, int index, int particle1, int particle2, int particle3, int particle4, double length, double quadraticK)

Set the force field parameters for an angle term.

Parameters

  index | the index of the angle for which to set parameters
  particle1 | the index of the first particle connected by the angle
  particle2 | the index of the second particle connected by the angle
  particle3 | the index of the third particle connected by the angle
  particle4 | the index of the fourth particle connected by the angle
  length | the equilibrium angle, measured in radians
  quadratic | k the quadratic force constant for the angle, measured in kJ/mol/radian^2

References simtk.openmm.openmm.stripUnits().

def updateParametersInContext | ( |  | self,
|  |  | args
| ) |  |

updateParametersInContext(AmoebaInPlaneAngleForce self, Context context)

Update the per-angle parameters in a Context to match those stored in this Force object. This method provides an efficient method to update certain parameters in an existing Context without needing to reinitialize it. Simply call setAngleParameters() to modify this object's parameters, then call updateParametersInContext() to copy them over to the Context.

The only information this method updates is the values of per-angle parameters. The set of particles involved in an angle cannot be changed, nor can new angles be added.

References simtk.openmm.openmm.stripUnits().

def usesPeriodicBoundaryConditions | ( |  | self,
|  |  | args
| ) |  |

usesPeriodicBoundaryConditions(AmoebaInPlaneAngleForce self) -> bool

Returns whether or not this force makes use of periodic boundary conditions.

References simtk.openmm.openmm.stripUnits().

## Member Data Documentation

this

Referenced by System.__init__().

The documentation for this class was generated from the following file:

- openmm.py